Bug 640290 (CVE-2010-1822)

Summary: CVE-2010-1822 WebKit: DoS (crash) by processing certain SVG images
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: jreznik, kevin, martin.sourada, mathstuf, mtasaka, than, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20100917,reported=20101004,source=cve,impact=important,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,fedora-all/webkitgtk=notaffected,rhel-6/webkitgtk=notaffected,fedora-all/qt=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-26 23:21:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 645918    
Bug Blocks:    

Description Jan Lieskovsky 2010-10-05 13:32:13 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1822 to
the following vulnerability:

WebKit, as used in Google Chrome before 6.0.472.62, does not properly
perform a cast of an unspecified variable, which allows remote
attackers to have an unknown impact via a malformed SVG document.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-1822
[2] http://code.google.com/p/chromium/issues/detail?id=55114
[3] http://googlechromereleases.blogspot.com/2010/09/stable-beta-channel-updates_17.html
[4] https://bugs.webkit.org/show_bug.cgi?id=45562

Comment 4 Vincent Danen 2010-10-05 22:35:51 UTC
This doesn't affect webkitgtk 1.2.5:

SVGGElement::rendererIsNeeded should return false when parent isn't SVG
 https://bugs.webkit.org/show_bug.cgi?id=45562

There is no renderIsNeeded() function in WebCore/svg/* (not in 1.2.3 either).

Comment 5 Vincent Danen 2010-10-05 22:36:08 UTC
Upstream fix: http://trac.webkit.org/changeset/67236

Comment 6 Vincent Danen 2010-10-22 21:55:19 UTC
Created qt tracking bugs for this issue

Affects: fedora-all [bug 645918]

Comment 7 Jaroslav Reznik 2010-10-25 15:33:08 UTC
(In reply to comment #5)
> Upstream fix: http://trac.webkit.org/changeset/67236

Works as expected - no crash.